Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni.psvi
Interface ItemPSVI

All Known Subinterfaces:
  AttributePSVI, ElementPSVI

All Known Implementing Classes:
  AttributePSVImpl, ElementPSVImpl, PSVIAttrNSImpl, PSVIElementNSImpl

Deprecated. please use JDK supplied XML parsers and transformers

public interface ItemPSVI

Represent a PSVI item for one element or one attribute information item.

Field Summary
`static short` | `VALIDATION_FULL` Deprecated. Validation status indicating that full schema validation has been performed on the element.
`static short` | `VALIDATION_NONE` Deprecated. Validation status indicating that schema validation has been performed and the element in question has specifically been skipped.
`static short` | `VALIDATION_PARTIAL` Deprecated. Validation status indicating that schema validation has been performed on the element in question under the rules of lax validation.
`static short` | `VALIDITY_INVALID` Deprecated. Validity value indicating that validation has been strictly assessed and the element in question is invalid according to the rules of schema validation.
`static short` | `VALIDITY_UNKNOWN` Deprecated. Validity value indicating that validation has either not been performed or that a strict assessment of validity could not be performed
`static short` | `VALIDITY_VALID` Deprecated. Validity value indicating that validation has been strictly assessed and the element in question is valid according to the rules of schema validation.

Method Summary
`Object` | `getActualValue()` Deprecated. [actual value]
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getErrorCodes()` Deprecated. A list of error codes generated from validation attempts.
`boolean` | `getIsSchemaSpecified()` Deprecated. [schema specified]
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getMemberTypeDefinition()` Deprecated. If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getMemberTypes()` Deprecated. If the item ia a list, return the list of member types for this item
`String` | `getSchemaDefault()` Deprecated. [schema default]
`String` | `getSchemaNormalizedValue()` Deprecated. [schema normalized value]
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` Deprecated. An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Deprecated. Determines the extent to which the document has been validated
`String` | `getValidationContext()` Deprecated. [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` | `getValidity()` Deprecated. Determine the validity of the node with respect to the validation being attempted

Field Detail

### VALIDATION_FULL

    public static final short VALIDATION_FULL

  Deprecated.
  Validation status indicating that full schema validation has been performed on the element.

  See Also:
    Constant Field Values

### VALIDATION_NONE

    public static final short VALIDATION_NONE

  Deprecated.
  Validation status indicating that schema validation has been performed and the element in question has specifically been skipped.

  See Also:
    Constant Field Values

### VALIDATION_PARTIAL

    public static final short VALIDATION_PARTIAL

  Deprecated.
  Validation status indicating that schema validation has been performed on the element in question under the rules of lax validation.

  See Also:
    Constant Field Values

### VALIDITY_INVALID

    public static final short VALIDITY_INVALID

  Deprecated.
  Validity value indicating that validation has been strictly assessed and the element in question is invalid according to the rules of schema validation.

  See Also:
    Constant Field Values

### VALIDITY_UNKNOWN

    public static final short VALIDITY_UNKNOWN

  Deprecated.
  Validity value indicating that validation has either not been performed or that a strict assessment of validity could not be performed

  See Also:
    Constant Field Values

### VALIDITY_VALID

    public static final short VALIDITY_VALID

  Deprecated.
  Validity value indicating that validation has been strictly assessed and the element in question is valid according to the rules of schema validation.

  See Also:
    Constant Field Values

Method Detail

### getActualValue

    public Object getActualValue()

  Deprecated.
  [actual value]

  Returns:
    the binary value of this item after validation

### getErrorCodes

    public weblogic.apache.xerces.impl.xs.psvi.StringList getErrorCodes()

  Deprecated.
  A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting

  Returns:
    list of error codes

### getIsSchemaSpecified

    public boolean getIsSchemaSpecified()

  Deprecated.
  [schema specified]

  Returns:
    true - value was specified in schema, false - value comes from the infoset
  See Also:
    XML Schema Part 1: Structures [schema specified]

### getMemberTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getMemberTypeDefinition()

  Deprecated.
  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

  Returns:
    a simple type declaration

### getMemberTypes

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getMemberTypes()

  Deprecated.
  If the item ia a list, return the list of member types for this item

### getSchemaDefault

    public String getSchemaDefault()

  Deprecated.
  [schema default]

  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:
    XML Schema Part 1: Structures [schema default]

### getSchemaNormalizedValue

    public String getSchemaNormalizedValue()

  Deprecated.
  [schema normalized value]

  Returns:
    the normalized value of this item after validation
  See Also:
    XML Schema Part 1: Structures [schema normalized value]

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

  Deprecated.
  An item isomorphic to the type definition used to validate this element.

  Returns:
    a type declaration

### getValidationAttempted

    public short getValidationAttempted()

  Deprecated.
  Determines the extent to which the document has been validated

  Returns:
    return the [validation attempted] property. The possible values are VALIDATION_NONE, VALIDATION_PARTIAL and VALIDATION_FULL

### getValidationContext

    public String getValidationContext()

  Deprecated.
  [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?

  Returns:
    The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
  See Also:
    XML Schema Part 1: Structures [validation context]

### getValidity

    public short getValidity()

  Deprecated.
  Determine the validity of the node with respect to the validation being attempted

  Returns:
    return the [validity] property. Possible values are: VALIDITY_UNKNOWN, VALIDITY_INVALID, VALIDITY_VALID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD